package com.landray.kmss.sys.attachment.actions;

import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.bind.annotation.RequestMethod;
import java.io.InputStream;
import org.apache.commons.io.IOUtils;
import com.landray.kmss.common.model.IBaseModel;
import com.landray.kmss.sys.attachment.model.SysAttMain;
import com.landray.kmss.util.StringUtil;
import org.json.simple.JSONObject;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletRequest;
import org.springframework.web.bind.annotation.RequestParam;
import org.slf4j.LoggerFactory;
import com.landray.kmss.sys.attachment.service.ISysAttMainCoreInnerService;
import org.slf4j.Logger;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.stereotype.Controller;

@Controller
@RequestMapping({ "/sys/attachment" })
public class SysAttMainUploadAction
{
    private static final Logger logger;
    private ISysAttMainCoreInnerService sysAttMainService;
    
    static {
        logger = LoggerFactory.getLogger(SysAttMainUploadAction.class);
    }
    
    public void setSysAttMainService(final ISysAttMainCoreInnerService sysAttMainService) {
        this.sysAttMainService = sysAttMainService;
    }
    
    @RequestMapping(value = { "/uploadByWpsCallback" }, produces = { "application/json;charset=UTF-8" }, method = { RequestMethod.PUT })
    public void uploadByWpsCallback(@RequestParam final String fdId, @RequestParam final String useId, final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final JSONObject json = new JSONObject();
        SysAttMainUploadAction.logger.info("fdId:" + fdId + "\n  useId:" + useId);
        Label_0202: {
            if (StringUtil.isNotNull(fdId) && StringUtil.isNotNull(useId)) {
                InputStream in = null;
                try {
                    in = (InputStream)request.getInputStream();
                    final SysAttMain sysAttMain = (SysAttMain)this.sysAttMainService.findByPrimaryKey(fdId);
                    sysAttMain.setInputStream(in);
                    this.sysAttMainService.update((IBaseModel)sysAttMain);
                    json.put((Object)"data", (Object)"");
                    json.put((Object)"result", (Object)0);
                }
                catch (final Exception e) {
                    e.printStackTrace();
                    json.put((Object)"result", (Object)(-1));
                    json.put((Object)"message", (Object)"保存失败");
                    break Label_0202;
                }
                finally {
                    IOUtils.closeQuietly(in);
                }
                IOUtils.closeQuietly(in);
            }
            else {
                json.put((Object)"result", (Object)(-1));
                json.put((Object)"message", (Object)"参数错误");
            }
        }
        response.setContentType("application/json");
        response.getWriter().append(json.toString());
        response.getWriter().flush();
        response.getWriter().close();
    }
    
    @RequestMapping(value = { "/uploadFile" }, produces = { "application/json;charset=UTF-8" }, method = { RequestMethod.POST })
    public void uploadFile(@RequestParam final String fdId, @RequestParam final String userId, final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final JSONObject json = new JSONObject();
        if (SysAttMainUploadAction.logger.isDebugEnabled()) {
            SysAttMainUploadAction.logger.debug("上传文件信息：fdId:{},userId:{}", fdId, userId);
        }
        Label_0259: {
            if (StringUtil.isNotNull(fdId) && StringUtil.isNotNull(userId)) {
                final MultipartHttpServletRequest multipartHttpServletRequest = (MultipartHttpServletRequest)request;
                final MultipartFile multipartFile = multipartHttpServletRequest.getFile("file");
                InputStream in = null;
                try {
                    in = multipartFile.getInputStream();
                    final SysAttMain sysAttMain = (SysAttMain)this.sysAttMainService.findByPrimaryKey(fdId);
                    sysAttMain.setInputStream(in);
                    this.sysAttMainService.update((IBaseModel)sysAttMain);
                    json.put((Object)"message", (Object)"");
                    json.put((Object)"resultCode", (Object)0);
                    if (SysAttMainUploadAction.logger.isDebugEnabled()) {
                        SysAttMainUploadAction.logger.debug("上传文件处理成功");
                    }
                }
                catch (final Exception e) {
                    json.put((Object)"resultCode", (Object)(-1));
                    json.put((Object)"message", (Object)"保存失败");
                    SysAttMainUploadAction.logger.error("上传文件处理失败：{}", e);
                    break Label_0259;
                }
                finally {
                    IOUtils.closeQuietly(in);
                }
                IOUtils.closeQuietly(in);
            }
            else {
                json.put((Object)"resultCode", (Object)(-1));
                json.put((Object)"message", (Object)"参数错误");
                if (SysAttMainUploadAction.logger.isDebugEnabled()) {
                    SysAttMainUploadAction.logger.debug("上传文件处理失败：参数错误");
                }
            }
        }
        response.setContentType("application/json");
        response.getWriter().append(json.toString());
        response.getWriter().flush();
        response.getWriter().close();
    }
}
